<div class="ion-inline-flex ion-justify-content-center">
    <!-- Minus Button -->
    <ion-button fill="clear" mode="md" [color]="color" slot="end"
        [disabled]="canMinus || isDisabled" (click)="minus()">
        <ion-icon [name]="minusIcon" size="large" slot="icon-only"></ion-icon>
    </ion-button>

    <!-- Count -->
    <div class="ion-text-center" style="flex: 0 0 25px;">
        <ion-text [color]="isDisabled ? 'secondary' : color" style="line-height: 2.75;">
            <strong>{{ value }}</strong>
        </ion-text>
    </div>

    <!-- Plus Button -->
    <ion-button fill="clear" mode="md" [color]="color" slot="start"
        [disabled]="canPlus || isDisabled" (click)="plus()">
        <ion-icon [name]="plusIcon" size="large" slot="icon-only"></ion-icon>
    </ion-button>
</div>